Bug 857228

Summary: CVE-2012-4425 X.org: arbitrary code execution as root when libdbus >= 1.5 is used [fedora-all]
Product: [Fedora] Fedora Reporter: Vincent Danen <vdanen>
Component: spice-gtkAssignee: Marc-Andre Lureau <marcandre.lureau>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 17CC: berrange, cfergeau, crobinso, hdegoede, marcandre.lureau, sandmann, virt-maint
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-01 17:29:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 857283    

Description Vincent Danen 2012-09-13 16:16:51 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=847402

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2012-09-14 11:06:03 EDT
spice-gtk-0.11-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/spice-gtk-0.11-5.fc16
Comment 2 Fedora Update System 2012-09-14 11:06:58 EDT
spice-gtk-0.12-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/spice-gtk-0.12-5.fc17
Comment 3 Fedora Update System 2012-09-14 11:07:50 EDT
qemu-1.2.0-3.fc18, virt-viewer-0.5.3-6.fc18, spice-gtk-0.13.29-4.fc18, spice-0.11.3-1.fc18, spice-protocol-0.12.1-1.fc18, usbredir-0.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-13513/spice-0.11.3-1.fc18,spice-protocol-0.12.1-1.fc18,virt-viewer-0.5.3-6.fc18,spice-gtk-0.13.29-4.fc18,qemu-1.2.0-3.fc18,usbredir-0.5-1.fc18
Comment 4 Fedora Update System 2012-09-17 18:50:08 EDT
qemu-1.2.0-3.fc18, virt-viewer-0.5.3-6.fc18, spice-gtk-0.13.29-4.fc18, spice-0.11.3-1.fc18, spice-protocol-0.12.1-1.fc18, usbredir-0.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-09-26 05:03:02 EDT
spice-gtk-0.12-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Cole Robinson 2012-10-01 17:29:17 EDT
Fix is in stable now, so closing.
Comment 7 Fedora Update System 2012-10-03 19:58:33 EDT
spice-gtk-0.11-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.